Error building opensuse - |http://download.opensuse.org/update/leap/42.3/oss/] Valid metadata not found at specified URL

Bug #1749063 reported by Ian Wienand on 2018-02-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
diskimage-builder
Undecided
Unassigned

Bug Description

I'm trying to get opensuse-minimal building in the native nodepool jobs [1]. It is constantly failing (i'm using glean as my test [2])

A log is [3]. The important bit seems to be

---
2018-02-13 00:48:42.810 | [repo-update|http://download.opensuse.org/update/leap/42.3/oss/] Valid metadata not found at specified URL
2018-02-13 00:48:42.810 | Please check if the URIs defined for this repository are pointing to a valid repository.
2018-02-13 00:48:42.810 | Skipping repository 'repo-update' because of the above error.
2018-02-13 00:48:42.810 | Could not refresh the repositories because of errors.
---

What I don't understand is why the nodepool build seems to work [4]?

Have I set something up wrong in [1]?

[1] https://review.openstack.org/543268
[2] https://review.openstack.org/543328
[3] http://logs.openstack.org/28/543328/2/check/nodepool-functional-py35-suse-src/268776f/controller/logs/builds/opensuse-423-0000000290.log.gz
[4] http://nb01.openstack.org/dib.opensuse-423.log

Ian Wienand (iwienand) wrote :

So this turns out to be a missing gnupg2 package (note the *2*, it's important). actually dib has this in bindep, but the devstack-based test isn't using that (a bug for another day)

there is also a bug about the package of this -> https://bugs.launchpad.net/ubuntu/+source/zypper/+bug/1639428

Ian Wienand (iwienand) wrote :

it's really a problem in the devstack not using the info we have

Changed in diskimage-builder:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers